Subject: [Pce] Éric Vyncke's Discuss on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with DISCUSS and COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Thu, 25 Feb 2021 07:05:21 -0800

Éric Vyncke has entered the following ballot position for
draft-ietf-pce-pcep-extension-for-pce-controller-12: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pce-pcep-extension-for-pce-controller/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Thank you for the work put into this document. I have not had time to review in
details though :( but I appreciated the detailed description as well as the
useful time diagrams.

Please find below one blocking DISCUSS point (which may be my bad
understanding), some non-blocking COMMENT points (but replies would be
appreciated).

I hope that this helps to improve the document,

Regards,

-éric

== DISCUSS ==

-- Section 7.3.1 --
LINKLOCAL-IPV6-ID-ADDRESS TLV: I fail to understand why there are two addresses
in this TLV while others have one one ? Also is 'local' and 'remote' really
global addresses ?

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

== COMMENTS ==

A minor comment: the abstract is clear but probably a little too long for an
abstract.

-- Section 7.3 --
Just wonder why  LINKLOCAL-IPV6-ID-ADDRES is not mentioned in this section but
well in the next one ?

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 25 Feb 2021 20:50:27 +0530

Hi Eric,

> https://datatracker.ietf.org/doc/draft-ietf-pce-pcep-extension-for-pce-controller/

Erik Kline had the same comment.

The text and encoding is inspired by RFC 8664
https://www.rfc-editor.org/rfc/rfc8664.html#section-4.3.2

which says -

IPv6 Link-Local Adjacency:
Specified as a pair of (global IPv6 address, interface ID) tuples. It
is used to describe an IPv6 adjacency for a link that uses only
link-local IPv6 addresses. Each global IPv6 address is configured on a
specific router, so together they identify a pair of adjacent routers.
The interface IDs identify the link that the adjacency is formed over.

A reference to RFC8664 and more description can be added.

Thanks!
Dhruv

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 25 Feb 2021 21:15:58 +0530

Hi Eric,

I discussed this offline with one of the authors, who confirmed that
while NAI in RFC 8664 uses a pair, in this case, the pair is not
needed for the next-hop information and it can be updated as suggested
by you.

Thanks!
Dhruv

---

From: Erik Kline <[email-masked]>
Date: Thu, 25 Feb 2021 07:56:50 -0800

Dhruv,

Thanks for this.

>From my previous review, for reference only:

"""
* Saying that the LINKLOCAL-IPV6-ID-ADDRESS TLV holds a pair of global IPv6
  addresses seems confusing to me.

  If the pair of global IPv6 addresses is to be considered "on link" in the
  sense that IPv6 ND can be successfully be performed on the link for both
  of these addresses, then "ONLINK" might be better than LINKLOCAL.

* Also, why are two interface IDs required?  I would have expected that only
  the outgoing interface name/ID would be of relevance to the recipient of
  a message with TLV in it?
"""

Just for your consideration, in case "ONLINK" seems like it might be
useful naming.

One more thing of note: I am terrible at naming!

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Fri, 26 Feb 2021 03:43:00 +0000

Hi Erik, 

Thank you for your comments! Please find the diff including the updates based on your comments. Thank you!

Diff: https://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=draft-ietf-pce-pcep-extension-for-pce-controller-12&url2=https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-pce-pcep-extension-for-pce-controller-13.txt

Best regards, 
Shuping 

-----Original Message-----
From: Erik Kline [mailto:[email-masked]] 
Sent: Thursday, February 25, 2021 11:57 PM
To: Dhruv Dhody <[email-masked]>
Cc: Éric Vyncke <[email-masked]>; Julien Meuric <[email-masked]>; [email-masked]; The IESG <[email-masked]>; pce-chairs <[email-masked]>; [email-masked]
Subject: Re: Éric Vyncke's Discuss on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with DISCUSS and COMMENT)

Dhruv,

Thanks for this.

"""

Just for your consideration, in case "ONLINK" seems like it might be useful naming.

On Thu, Feb 25, 2021 at 7:46 AM Dhruv Dhody <[email-masked]> wrote:
> > > When responding, please keep the subject line intact and reply to 
> > > all email addresses included in the To and CC lines. (Feel free to 
> > > cut this introductory paragraph, however.)
> > >
> > >
> > > Please refer to 
> > > https://www.ietf.org/iesg/statement/discuss-criteria.html
> > > Thank you for the work put into this document. I have not had time 
> > > to review in details though :( but I appreciated the detailed 
> > > description as well as the useful time diagrams.
> > >
> > > understanding), some non-blocking COMMENT points (but replies 
> > > would be appreciated).
> > >
> > > LINKLOCAL-IPV6-ID-ADDRESS TLV: I fail to understand why there are 
> > > two addresses in this TLV while others have one one ? Also is 
> > > 'local' and 'remote' really global addresses ?
> > >
> > >
> >
> > Specified as a pair of (global IPv6 address, interface ID) tuples. 
> > It is used to describe an IPv6 adjacency for a link that uses only 
> > link-local IPv6 addresses. Each global IPv6 address is configured on 
> > a specific router, so together they identify a pair of adjacent routers.
> > > A minor comment: the abstract is clear but probably a little too 
> > > long for an abstract.
> > >
> > > -- Section 7.3 --
> > > Just wonder why  LINKLOCAL-IPV6-ID-ADDRES is not mentioned in this 
> > > section but well in the next one ?
> > >
> > >
> > >
>

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 26 Feb 2021 07:15:37 +0000

Shuping,

The text is much better but may I still suggest the following:

--- Proposed text by the authors --
                 Further, this document specify a new TLV called ONLINK-IPV6-ADDRESS	
 	   to describe an IPv6 unnumbered adjacency for a link that does not	
 	   have an IPv6 address assigned.

---- Proposed text by Éric Vyncke ----
                 Further, this document specify a new TLV called LINKLOCAL-IPV6-ADDRESS	
 	   to describe an IPv6 unnumbered adjacency for an interface that does not	
 	   have a global IPv6 address assigned.
-----
As a side note, I find " IPv6 unnumbered adjacency" a very strange wording as an IPv6 always has a 'number' in the sense that link-local address is always there.

Once the revised I-D is posted, then I am clearing my DISCUSS point (please send me an email when the revised I-D is posted)

-éric

-----Original Message-----
From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Friday, 26 February 2021 at 04:43
To: Erik Kline <[email-masked]>, Dhruv Dhody <[email-masked]>
Cc: Eric Vyncke <[email-masked]>, Julien Meuric <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>, pce-chairs <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Éric Vyncke's Discuss on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with DISCUSS and COMMENT)

    Hi Erik, 

    Best regards, 
    Shuping 

    -----Original Message-----
    From: Erik Kline [mailto:[email-masked]] 
    Sent: Thursday, February 25, 2021 11:57 PM
    To: Dhruv Dhody <[email-masked]>
    Cc: Éric Vyncke <[email-masked]>; Julien Meuric <[email-masked]>; [email-masked]; The IESG <[email-masked]>; pce-chairs <[email-masked]>; [email-masked]
    Subject: Re: Éric Vyncke's Discuss on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with DISCUSS and COMMENT)

    Dhruv,

    Thanks for this.

    """

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 26 Feb 2021 12:54:40 +0530

Hi Eric,

> As a side note, I find " IPv6 unnumbered adjacency" a very strange wording as an IPv6 always has a 'number' in the sense that link-local address is always there.

Maybe we could say -

           Further, this document specifies a new TLV called
LINKLOCAL-IPV6-ADDRESS
           to describe an IPv6 adjacency for an interface that does not
           have a global IPv6 address assigned.

Erik suggested using ONLINK instead of LINKLOCAL for the TLV name. I
am not sure, to me using LINKLOCAL to match with RFC 8664 seems to be
okay. Any thoughts on that?

Thanks!
Dhruv

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 26 Feb 2021 07:32:03 +0000

Dhruv

Your proposed text is even better like it is.

No hard feeling for the TLV name, I will defer to Erik Kline (the ONLINK name was suggested when there were 2 addresses and made sense for 2 addresses)

-éric

-----Original Message-----
From: Dhruv Dhody <[email-masked]>
Date: Friday, 26 February 2021 at 08:25
To: Eric Vyncke <[email-masked]>
Cc: "Pengshuping (Peng Shuping)" <[email-masked]>, Erik Kline <[email-masked]>, Julien Meuric <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>, pce-chairs <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's Discuss on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with DISCUSS and COMMENT)

    Hi Eric,

    Maybe we could say -

    Thanks!
    Dhruv